### File

`packages/eui/packages/components-next/src/lib/components/eui-input-number/eui-input-number.component.ts`

### Extends

`InputDirective`

### Implements

`OnInit` `OnDestroy` `DoCheck` `OnChanges` `ControlValueAccessor`

### Metadata

encapsulation | `ViewEncapsulation.None`
selector | `input[euiInputNumber]:not([euiInputCheckBox])`
styleUrls | `./styles/_index.scss`

### Index

###### Properties
onChange onTouched
###### Methods
registerOnChange registerOnTouched setDisabledState writeValue
###### Inputs
digits fillFraction fractionDigits isInvalid max min styleClass value
###### HostBindings
attr.type class
###### HostListeners
focusout keydown
###### Accessors
isInvalid fractionDigits digits fillFraction

### Constructor

`constructor(control: NgControl, _elementRef: ElementRef, _renderer: Renderer2, cd: ChangeDetectorRef, localeService: LocaleService)`
Parameters :
Name | Type | Optional
control | `NgControl` | No
_elementRef | `ElementRef` | No
_renderer | `Renderer2` | No
cd | `ChangeDetectorRef` | No
localeService | `LocaleService` | No

### Inputs

digits
how many digits for the integer part

fillFraction

fractionDigits
how many digits for the decimal part

isInvalid
Adds leading zero to a number. Formatting will not work. e.g. with leadingZero=3 input number 5 => 005

max
Type : `number`
The maximum number can be entered. Blocks user's input if not in range.

min
Type : `number`
The minimum number can be entered. Blocks user's input if not in range.

styleClass
Type : `string`

value
Type : `string`

### HostBindings

attr.type
Default value : `'eui-number'`

class
Type : `any`

### HostListeners

focusout
Arguments : `'$event'`
`focusout(e: Event)`

keydown
Arguments : `'$event'`
`keydown(e: KeyboardEvent)`

### Methods

registerOnChange
`registerOnChange(fn: any)`
Parameters :
Name | Type | Optional
fn | `any` | No
Returns : `void`

registerOnTouched
`registerOnTouched(fn: any)`
Parameters :
Name | Type | Optional
fn | `any` | No
Returns : `void`

setDisabledState
`setDisabledState(isDisabled: boolean)`
Parameters :
Name | Type | Optional
isDisabled | `boolean` | No
Returns : `void`

writeValue
`writeValue(val: string)`
sets the number for cleave instance and div element (read only mode) Parameters :
Name | Type | Optional | Description
val | `string` | No | the number formatted or not
Returns : `void`

### Properties

onChange
Type : `any`
Default value : `() => {...}`

onTouched
Type : `any`
Default value : `() => {...}`

### Accessors

isInvalid
set `isInvalid(state: any)`
Parameters :
Name | Type | Optional
state | `any` | No
Returns : `void`

fractionDigits
set `fractionDigits(value: any)`
Parameters :
Name | Type | Optional
value | `any` | No
Returns : `void`

digits
set `digits(value: any)`
Parameters :
Name | Type | Optional
value | `any` | No
Returns : `void`

fillFraction
set `fillFraction(value: any)`
Parameters :
Name | Type | Optional
value | `any` | No
Returns : `void`

# result-matching ""

# No results matching ""